## org.pentaho.reporting.libraries.formula.parser
Class FormulaParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.pentaho.reporting.libraries.formula.parser.ParseException
                  org.pentaho.reporting.libraries.formula.parser.FormulaParseException

All Implemented Interfaces:
  java.io.Serializable

    public class FormulaParseException

extends ParseException

Todo: Document me!

Author:
  : Thomas Morgner
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.pentaho.reporting.libraries.formula.parser.ParseException
`currentToken, expectedTokenSequences, tokenImage`

Constructor Summary
`FormulaParseException(ParseException pe)`
`FormulaParseException(java.lang.String message)`
`FormulaParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, java.lang.String[] tokenImageVal)`
`FormulaParseException(TokenMgrError error)`

Method Summary
`Token` `getCurrentTokenVal()`
`TokenMgrError` `getError()`
`java.lang.Throwable` `getParent()`
`ParsePosition` `getParsePosition()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormulaParseException

    public FormulaParseException(java.lang.String message)

### FormulaParseException

    public FormulaParseException(ParseException pe)

### FormulaParseException

    public FormulaParseException(Token currentTokenVal,
                                 int[][] expectedTokenSequencesVal,
                                 java.lang.String[] tokenImageVal)

### FormulaParseException

    public FormulaParseException(TokenMgrError error)

Method Detail

### getCurrentTokenVal

    public Token getCurrentTokenVal()

### getParent

    public java.lang.Throwable getParent()

### getError

    public TokenMgrError getError()

### getParsePosition

    public ParsePosition getParsePosition()